<?php

namespace Toplist\Toplist\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ToplistTransformer extends TransformerAbstract
{
    public function transform(\Toplist\Toplist\Models\Toplist $toplist)
    {
        return [
            'id'                => $toplist->getRouteKey(),
            'key'               => [
                'public'    => $toplist->getPublicKey(),
                'route'     => $toplist->getRouteKey(),
            ], 
            'server_name'       => $toplist->server_name,
            'url'               => [
                'public'    => trans_url('toplist/'.$toplist->getPublicKey()),
                'user'      => guard_url('toplist/toplist/'.$toplist->getRouteKey()),
            ], 
            'status'            => trans('app.'.$toplist->status),
            'created_at'        => format_date($toplist->created_at),
            'updated_at'        => format_date($toplist->updated_at),
        ];
    }
}